#pragma once

// C++ system level
// #include <cstring>     // memset, strncmp
// #include <cstdlib>     // TODO: is this for memcpy?
// #include <functional>

// ESP32 specific
#include "esp_log.h"

// project specific
#include <Types.hpp>
#include "Service.hpp"

// qthing stuff
// #include <qthing>


namespace SiliconTorch {

  namespace Service {

    class CyanStripe : public ServiceManager::Service {

      public:


        void init();

        void start();
        void stop();




      private:


    };

  }
}
